Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.om.common
Class ParameterImpl

    java.lang.Object
      org.jasig.portal.container.om.common.ParameterImpl

All Implemented Interfaces:
  java.io.Serializable, org.apache.pluto.om.common.Parameter, org.apache.pluto.om.common.ParameterCtrl, org.apache.pluto.om.Controller, org.apache.pluto.om.Model

    public class ParameterImpl

extends java.lang.Object
implements org.apache.pluto.om.common.Parameter, org.apache.pluto.om.common.ParameterCtrl, java.io.Serializable

Implementation of Apache Pluto object model.

Version:
  $Revision: 1.3 $
Author:
  Ken Weiner, kweiner@unicon.net
See Also:
  Serialized Form

Field Summary
`private org.apache.pluto.om.common.DescriptionSet` | `descriptions`
`private java.lang.String` | `name`
`private java.lang.String` | `value`

Constructor Summary
`ParameterImpl()`
`ParameterImpl(java.lang.String name, java.lang.String value)`
`ParameterImpl(java.lang.String name, java.lang.String value, org.apache.pluto.om.common.DescriptionSet descriptions)`

Method Summary
`org.apache.pluto.om.common.Description` | `getDescription(java.util.Locale locale)`
`java.lang.String` | `getName()`
`java.lang.String` | `getValue()`
`void` | `setDescriptionSet(org.apache.pluto.om.common.DescriptionSet descriptions)`
`void` | `setName(java.lang.String name)`
`void` | `setValue(java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    private java.lang.String name

### value

    private java.lang.String value

### descriptions

    private org.apache.pluto.om.common.DescriptionSet descriptions

Constructor Detail

### ParameterImpl

    public ParameterImpl()

### ParameterImpl

    public ParameterImpl(java.lang.String name,
                         java.lang.String value)

### ParameterImpl

    public ParameterImpl(java.lang.String name,
                         java.lang.String value,
                         org.apache.pluto.om.common.DescriptionSet descriptions)

Method Detail

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.apache.pluto.om.common.Parameter`

### getValue

    public java.lang.String getValue()

  Specified by:
    `getValue` in interface `org.apache.pluto.om.common.Parameter`

### getDescription

    public org.apache.pluto.om.common.Description getDescription(java.util.Locale locale)

  Specified by:
    `getDescription` in interface `org.apache.pluto.om.common.Parameter`

### setName

    public void setName(java.lang.String name)

  Specified by:
    `setName` in interface `org.apache.pluto.om.common.ParameterCtrl`

### setValue

    public void setValue(java.lang.String value)

  Specified by:
    `setValue` in interface `org.apache.pluto.om.common.ParameterCtrl`

### setDescriptionSet

    public void setDescriptionSet(org.apache.pluto.om.common.DescriptionSet descriptions)

  Specified by:
    `setDescriptionSet` in interface `org.apache.pluto.om.common.ParameterCtrl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD